<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Class to manage ubxsshib user's data.
 *
 * @package    enrol_ubxsshib
 * @copyright  2020 - MAPI Université de Bordeaux
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace enrol_ubxsshib;

defined('MOODLE_INTERNAL') || die();

/**
 * User information.
 *
 * @package    enrol_ubxsshib
 * @copyright  2020 - MAPI Université de Bordeaux
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
class user_info {
    public $username;
    public $lastname;
    public $firstname;
    public $email;
    public $status;
    public $etapes;
    public $elements;
    public $epreuves;
    public $hasrolesset;
    public $mustbesystemcoursecreator;
    public $mustbesandboxcoursecreator;

    public function __construct() {
        $this->hasrolesset = false;
        $this->username = '';
        $this->lastname = '';
        $this->firstname = '';
        $this->email = '';
        $this->status = '';
        $this->etapes = [];
        $this->elements = [];
        $this->epreuves = [];
        $this->mustbesystemcoursecreator = false;
        $this->mustbesandboxcoursecreator = false;
    }

}
