<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ubxsshib', language 'en'.
 *
 * @package    enrol_ubxsshib
 * @copyright  2011 Christophe Michenaud
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Apogee UB';
$string['pluginname_desc'] = 'Automatic enrolments based on Apogee data';
$string['methoddescription'] = "This enrolment method allows you to enrol students regarding their academic enroments.<br />
    The real enrolment of a student into your Moodle course is made either when he/she <strong>logs in</strong> the platform (if date conditions are OK) or during the nightly synchronization.<br />
    As well, when a student logs in, if he/she is no more enroled in your course, he/she will be unenroled from your Moodle course (again, if date conditions are OK).<br/>
    If either start or end date conditions are enabled, this method will only be active (ie. will enrol and/or unenrol students) from and/or until provided dates.<br />
    <br />
    <strong>Please note : </strong>Near the end of august, Apogée is reset with the new year data. If no end date condition is enabled, a former student who would log into the platform would be automatically unenroled from thes course.<br />
    If you want to keep former students, you will have to enable end date condition and set it to a date before the new year starts (for example, on july).";
$string['status'] = 'Status';
$string['status_help'] = 'Enrolment method status';
$string['codeType'] = 'Type of code';
$string['apogeeid'] = 'Apogee code value';
$string['apogeeid_help'] = 'When it\'s about \'code-étape\', you must not include version suffix.';
$string['institution'] = 'Institution';
$string['institution_help'] = 'Institution studient comes from';
$string['assignrole'] = 'Role to assign';
$string['assignrole_help'] = 'Choose which role to assign';
$string['systemcoursecreator_filter'] = 'Course creator filter';
$string['systemcoursecreator_filter_desc'] = 'LDAP filter to know if user can have system course creator privileges';
$string['systemroles'] = 'Course creator roles';
$string['systemroles_desc'] = 'Select all roles to be assigned to users whom LDAP attributes match with above filter.';
$string['sandboxcoursecreator_filter'] = 'Sandbox Course creator filter';
$string['sandboxcoursecreator_filter_desc'] = 'LDAP filter to know if user can have course creator privileges in sandbox course category';
$string['sandboxid'] = 'Sandbox category';
$string['sandboxid_help'] = 'Category in which teachers can create courses on their own';
$string['testing_heading'] = 'Testing';
$string['inhibit_all_methods'] = 'Inhibit all Apogee methods';
$string['inhibit_all_methods_desc'] = 'When set to Yes, all Apogee methods put in stand-by mode : none of them will enrol or unenrol users.';
$string['logattributes'] = 'Log Apogee attributes';
$string['logattributes_desc'] = 'Log users\' Apogee attributes coming in during the login phase';
$string['usertooverride'] = 'Login';
$string['usertooverride_desc'] = 'Login of the user for who below attributes wil be added';
$string['etp_forcedattributes'] = 'Extra attributes for \'étape\'';
$string['etp_forcedattributess_desc'] = 'For ex. : A3SHP1;LGDEI3';
$string['elp_forcedattributes'] = 'Extra attributes for \'élélment\'';
$string['elp_forcedattributes_desc'] = 'For ex. : AM1AM03U;U1ME910C';
$string['exam_forcedattributes'] = 'Extra attributes for \'épreuve\'';
$string['exam_forcedattributes_desc'] = 'For ex. : ZZEXAM1;ZZEXAM2';
$string['enrolstartdate'] = 'Start date';
$string['enrolstartdate_help'] = 'If enabled, users will be automatically enroled only from this date onward.<br /><strong>Enrolment is done either at user\'s login time</strong> on this platform or thanks to the nightly synchronization.';
$string['enrolenddate'] = 'End date';
$string['enrolenddate_help'] = 'If enabled, users will not be able to get enroled <strong>after</strong> this date.<br />Students are <strong>not unenroled</strong> beyond this date  : if they were enroled, they stay enroled, but newer users won\'t be enroled, even if they have the good code (Apogee).';
$string['enrolgroup'] = 'Group';
$string['enrolgroup_help'] = 'You can select here one of the groups of your course in which students enroled by this method will be integrated. This can help you to use activities conditions based on students origin (academic enrolments).';
$string['ubxsshib:config'] = 'Configure';
$string['ubxsshib:manage'] = 'Manage';
$string['ubxsshib:force'] = 'Force instant enrolment synchronization.';
$string['ubxsshib:unenrol'] = 'Unenrol users';
$string['cachedef_userinfo'] = 'Ubxsshib user information';
$string['methodmismatch'] = 'The provided enrolment method is not part of the specified course.';
$string['etape_choice'] = "Étape";
$string['elp_choice'] = "Élément pédagogique (UE, CM, TD, TP)";
$string['exam_choice'] = "Épreuve";
$string['searchbutton'] = 'Search for codes';
$string['searchheader'] = 'Find a code based on the group description';
$string['searchtext'] = 'Search for';
$string['searchtext_help'] = 'Enter the words to search for <b>in the group description</b>. Do not enter part of a code : it will not work. Only the description is searched in.';
$string['searchsubmit'] = 'Search';
$string['searchnoresult'] = 'No results found with your criteria.';
$string['username_property'] = 'Username property name';
$string['username_property_desc'] = 'Name of the username property.';
$string['auth_method'] = 'Default authentication method';
$string['auth_method_desc'] = 'Used to indicate what kind of authentication is used for new users.';
$string['memberof_property'] = 'Memberof property name';
$string['memberof_property_desc'] = 'Name of the user property telling the groups he/she is member of.';
$string['user_dn_base'] = 'User base DN';
$string['user_dn_base_desc'] = 'User base DN';
$string['group_dn_base'] = 'Group base DN';
$string['group_dn_base_desc'] = 'Group base DN';
$string['group_etape_setting_heading'] = 'Etapes';
$string['group_etape_name_property'] = 'Groupname property';
$string['group_etape_name_property_desc'] = 'Name of the property containing code';
$string['group_etape_search_property'] = 'Group description property';
$string['group_etape_search_property_desc'] = 'Name of the property containing the description of the group. The search form will look into theses values.';
$string['group_etape_pattern'] = 'Etape pattern';
$string['group_etape_pattern_desc'] = 'Pattern of the group name containing the code for \'Etape\'. Type in %CODE% where the code should be present.';
$string['group_elp_setting_heading'] = 'Eléments pédagogiques';
$string['group_elp_name_property'] = 'Groupname property';
$string['group_elp_name_property_desc'] = 'Name of the property containing code';
$string['group_elp_search_property'] = 'Group description property';
$string['group_elp_search_property_desc'] = 'Name of the property containing the description of the group. The search form will look into theses values.';
$string['group_elp_pattern'] = 'Element pattern';
$string['group_elp_pattern_desc'] = 'Pattern of the group name containing the code for \'Elément pédagogique\'. Type in %CODE% where the code should be present.';
$string['group_exam_setting_heading'] = 'Epreuve';
$string['group_exam_name_property'] = 'Groupname property';
$string['group_exam_name_property_desc'] = 'Name of the property containing code';
$string['group_exam_search_property'] = 'Group description property';
$string['group_exam_search_property_desc'] = 'Name of the property containing the description of the group. The search form will look into theses values.';
$string['group_exam_pattern'] = 'Element pattern';
$string['group_exam_pattern_desc'] = 'Pattern of the group name containing the code for \'Epreuve\'. Type in %CODE% where the code should be present.';
$string['syncenrolmentstask'] = 'Apogee enrolments synchronization task';
$string['sync_header'] = 'Synchronization ';
$string['sync_warning'] = '<strong>Warning</strong> : you are about to synchronize this method enrolments<br />Current enroled users who are no more in the Apogee group will be unenroled from this course.<br />The one blonging to the Apogee group but not yet enroled in this course will be enroled here.<br />Depending on the number of users in this group, the enrolment process may take several minutes.<br /><br />';
$string['sync_confirm'] = 'I confirm the start of the synchronization process';
$string['sync_confirm_alert'] = 'Yous must confirm.';
$string['sync_confirm_error'] = 'You must check the box to confirm your will to launch the synchronization.';
$string['sync_launchbutton'] = 'Synchronize';
$string['synccohortstask'] = 'UB cohorts synchronization';
$string['forceenrol_button'] = 'Force synchronization';
$string['messageprovider:forceenrolstarted_notification'] = 'Forced Apogee synchronization : started';
$string['messageprovider:forceenrolcompleted_notification'] = 'Forced Apogee synchronization : completed';
$string['forceenrolstarted_eventname'] = '';
$string['forceenrolcompleted_eventname'] = '';
$string['forceenrol_started_notif_subject'] = 'Apogée synchronization started';
$string['forceenrol_started_notif_fullmessage'] = 'The Apogée enrol method {$a->methodname} synchroniation has just started.';
$string['forceenrol_started_notif_fullmessagehtml'] = '<p>The Apogée enrol method <strong>{$a->methodname}</strong> synchronization has just started.</p>';
$string['forceenrol_started_notif_smallmessage'] = 'Apogée synchronization started';
$string['forceenrol_completed_notif_subject'] = 'Apogée synchronization completed';
$string['forceenrol_completed_notif_fullmessage'] = 'The Apogée enrol method {$a->methodname} has just completed its synchronization.';
$string['forceenrol_completed_notif_fullmessagehtml'] = '<p>The Apogée enrol method <strong>{$a->methodname}</strong> has just completed its synchronization.</p>';
$string['forceenrol_completed_notif_smallmessage'] = 'Apogée synchronization completed';
$string['forceenrol_confirm_message_ok'] = '<strong>The synchronization is scheduled and is about to start</strong>.<br />You can quit this page ; you\'ll be notified when it is done.';
$string['forceenrol_confirm_message_pending'] = 'The synchronization could not be scheduled because it may have been already scheduled or is currently processed.';
$string['forceenrol_group_notfound'] = 'The supplied group code does not match any code in the university directory. Please check you typed a correct code and selected the right type of code.';
$string['search:ubxsshib_apogee_method'] = 'Inscription Apogée';
