<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_ubxsshib', language 'fr'.
 *
 * @package    enrol_ubxsshib
 * @copyright  2011 Christophe Michenaud
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['pluginname'] = 'Apogee UB';
$string['pluginname_desc'] = 'Inscriptions automatiques en fonction des inscriptions saisies dans Apogee.';
$string['methoddescription'] = "Cette méthode d'inscription permet de cibler une population d'étudiants en fonction du code Apogée d'une étape, d'une UE ou d'une épreuve d'examen.<br />
    L'<strong>inscription réelle</strong> d'un étudiant se fait soit <strong>au moment il se connecte</strong> à la plateforme (sous condition de date) soit lors de la synchronisation nocturne.<br />
    De même, à la connexion d'un étudiant, s'il n'est plus inscrit à cet élément (dans Apogée), il sera désinscrit de cet espace de cours (sous condition de date).<br/>
    Si l'une ou les deux dates sont activées, la méthode ne sera active (ie. inscrira/désinscrira les étudiants) qu'à partir et/ou jusqu'aux dates indiquées.<br />
    <br />
    <strong>Attention : </strong>En début d'année universitaire (vers fin août), Apogée est remis à zéro avec les informations de la nouvelle année. Si la date de fin n'est pas fixée, un étudiant qui se connecterait à ce cours après cette remise à zéro se verrait automatiquement désinscrit, puisque rattaché à aucun code Apogée.<br />
    Il est donc préférable d'activer au moins la date de fin (01/07), pour prévenir ces éventuelles désinscriptions si vous souhaitez conserver les étudiants de l'année antérieure.";
$string['status'] = 'Activé';
$string['status_help'] = 'Statut de la méthode d\'inscription.';
$string['codeType'] = 'Type de code';
$string['apogeeid'] = 'Code Apogée';
$string['apogeeid_help'] = 'Pour les codes d\'étape, il s\'agit du code sans la version d\'étape';
$string['institution'] = 'Établissement';
$string['institution_help'] = 'Établissement d\'origine de l\'étudiant.';
$string['assignrole'] = 'Rôle à assigner';
$string['assignrole_help'] = 'Indiquez le rôle à assigner pour cette inscription.';
$string['systemcoursecreator_filter'] = 'Filtre Créateur de cours';
$string['systemcoursecreator_filter_desc'] = 'Filtre LDAP permettant de savoir si l\'utilisateur doit se voir attribuer le rôle système de créateur de cours';
$string['systemroles'] = 'Rôles pour Créateur de cours';
$string['systemroles_desc'] = 'Sélectionnez les rôles système à attribuer aux utilisateurs dont les caratéristiques LDAP répondent au filtre précédent.';
$string['sandboxcoursecreator_filter'] = 'Filtre Créateur de cours du BAS';
$string['sandboxcoursecreator_filter_desc'] = 'Filtre LDAP permettant de savoir si l\'utilisateur doit se voir attribuer le rôle de créateur de cours dans le bac à sable';
$string['sandboxid'] = 'Bac à sable';
$string['sandboxid_help'] = 'Catégorie dans laquelle les enseignants disposent d\'un droit de création de cours.';
$string['testing_heading'] = 'Tests';
$string['inhibit_all_methods'] = 'Inhiber toutes les méthodes Apogee UB';
$string['inhibit_all_methods_desc'] = 'Si oui, empêche toutes les méthodes d\'inscription par Apogee d\'effectuer la synchronisation.';
$string['logattributes'] = 'Log attributs Apogee';
$string['logattributes_desc'] = 'Historisation des attributs Apogee (étape + élem_pedago) extraits lors de la phase d\'authentification.';
$string['usertooverride'] = 'Identifiant';
$string['usertooverride_desc'] = 'Identifiant de l\'utilisateur pour lequel il faut rajouter les valeurs suivantes.';
$string['etp_forcedattributes'] = 'Attributs supp. d\'étape';
$string['etp_forcedattributess_desc'] = 'Par ex. : A3SHP1;LGDEI3';
$string['elp_forcedattributes'] = 'Attributs supp. d\'élélment';
$string['elp_forcedattributes_desc'] = 'Par ex. : AM1AM03U;U1ME910C';
$string['exam_forcedattributes'] = 'Attributs supp. d\'épreuve';
$string['exam_forcedattributes_desc'] = 'Par ex. : ZZEXAM1;ZZEXAM2';
$string['enrolstartdate'] = 'Date de début';
$string['enrolstartdate_help'] = 'Si ce réglage est activé, les utilisateurs dont l\'inscription (administrative ou pédagogique) porte sur le code correspondant ne seront automatiquement inscrits qu\'à partir de cette date (comprise).<br />L\'inscription dans le cours se fait soit au <strong>au moment de leur connexion</strong> sur la plateforme soit lors de la <strong>synchronisation nocturne</strong>.';
$string['enrolenddate'] = 'Date de fin';
$string['enrolenddate_help'] = 'Si ce réglage est activé, les utilisateurs ne peuvent plus être inscrits au cours <strong>à partir</strong> de cette date.<br />Les utilisateurs <strong>ne sont pas désinscrits</strong> à partir de cette date, mais ceux qui n\'étaient pas encore inscrits ne le seront pas, même s\'ils se présentent avec le code Apogée correspondant.';
$string['enrolgroup'] = 'Groupe';
$string['enrolgroup_help'] = 'Vous pouvez spécifier un des groupes de votre cours dans lequel seront intégrés les étudiants inscrits par cette méthode.<br />Cela peut vous permettre de les distinguer dans votre cours et d\'utiliser des conditions d\'accès aux activités en fonction de l\'origine (étape, UE) des étudiants.';
$string['ubxsshib:config'] = 'Configurer';
$string['ubxsshib:manage'] = 'Gérer';
$string['ubxsshib:force'] = 'Forcer la synchronisation immédiate des inscriptions.';
$string['ubxsshib:unenrol'] = 'Désinscrire les utilisateurs';
$string['cachedef_userinfo'] = 'Info utilisateurs pour synchro Apogee';
$string['methodmismatch'] = 'La méthode d\'inscription et le cours indiqués ne sont pas cohérents';
$string['etape_choice'] = "Étape";
$string['elp_choice'] = "Élément pédagogique (UE, CM, TD, TP)";
$string['exam_choice'] = "Épreuve";
$string['searchbutton'] = 'Rechercher un code';
$string['searchheader'] = 'Trouver un code à partir de la description';
$string['searchtext'] = 'Mots-clefs';
$string['searchtext_help'] = 'Saisissez les mots-clefs qui seront cherchés <b>dans la description des groupes</b>. Ne saisissez pas une partie du code (par exemple, le début) : cela ne donnera aucun résultat. Seulement le champ description des groupes est analysé.';
$string['searchsubmit'] = 'Chercher';
$string['searchnoresult'] = 'Aucun résultat n\'a été trouvé avec ces critères.';
$string['username_property'] = 'Attribut Identifiant';
$string['username_property_desc'] = 'Nom de la propriété contenant l\'identifiant de l\'utilisateur.';
$string['auth_method'] = 'Méthode d\'authentification par défaut.';
$string['auth_method_desc'] = 'Indique quelle méthode d\'authentification est associée aux nouveaux utilisateurs créés par la synchronisation.';
$string['memberof_property'] = 'Propriété de groupe';
$string['memberof_property_desc'] = 'Nom de la propriété d\'appartenance au groupe.';
$string['user_dn_base'] = 'Contexte des utilisateurs';
$string['user_dn_base_desc'] = 'Contexte des utilisateurs';
$string['group_dn_base'] = 'Contexte des groupes';
$string['group_dn_base_desc'] = 'Contexte des groupes';
$string['group_etape_setting_heading'] = 'Étapes';
$string['group_etape_name_property'] = 'Attribut Nom de groupe';
$string['group_etape_name_property_desc'] = 'Nom de l\'attribut dont la valeur contient le code d\'étape';
$string['group_etape_search_property'] = 'Attribut Libellé';
$string['group_etape_search_property_desc'] = 'Nom de l\'attribut contenant le libellé long de l\'étape';
$string['group_etape_pattern'] = 'Motif d\'étape';
$string['group_etape_pattern_desc'] = 'Motif de la valeur contenant le code d\'étape. Saisissez %CODE% à l\'endroit où le code d\'étape doit apparaitre.';
$string['group_elp_setting_heading'] = 'Éléments  (UE)';
$string['group_elp_name_property'] = 'Attribut Nom de groupe';
$string['group_elp_name_property_desc'] = 'Nom de l\'attribut dont la valeur contient le code d\'élément pédagogique';
$string['group_elp_search_property'] = 'Attribut Libellé';
$string['group_elp_search_property_desc'] = 'Nom de l\'attribut contenant le libellé long de l\'élément pédagogique';
$string['group_elp_pattern'] = 'Motif d\'élément';
$string['group_elp_pattern_desc'] = 'Motif de la valeur contenant le code de l\'élément pédagogique. Saisissez %CODE% à l\'endroit où le code de l\'élément doit apparaitre.';
$string['group_exam_setting_heading'] = 'Epreuve';
$string['group_exam_name_property'] = 'Attribut Nom de groupe';
$string['group_exam_name_property_desc'] = 'Nom de l\'attribut contenant le code de l\'épreuve';
$string['group_exam_search_property'] = 'Attribut Libellé';
$string['group_exam_search_property_desc'] = 'Nom de l\'attribut contenant le libellé long de l\'épreuve.';
$string['group_exam_pattern'] = 'Motif d\'élément';
$string['group_exam_pattern_desc'] = 'Motif de la valeur contenant le code de l\'épreuve. Saisissez %CODE% à l\'endroit où le code de l\'élément doit apparaitre.';
$string['syncenrolmentstask'] = 'Synchronisation des inscriptions par méthode Apogee UB';
$string['sync_header'] = 'Confirmation de la synchronisation';
$string['sync_warning'] = 'Vous êtes sur le point de synchroniser les inscriptions de la méthode {$a->methodname} basée sur le code Apogée <strong>{$a->methodcode}</strong>.<br /><br />Les utilisateurs actuellement inscrits dans cet espace de cours par cette méthode mais absents du groupe Apogée seront désinscrits du cours.<br /><br />Inversement, ceux présents dans le groupe Apogée mais non encore inscrits à cet esapce de cours seront inscrits.<br /><br />En fonction du nombre d\'étudiants concernés, l\'opération peut prendre plusieurs minutes.';
$string['sync_confirm'] = 'Je confirme';
$string['sync_confirm_alert'] = 'Vous devez confirmer';
$string['sync_confirm_error'] = 'Vous devez cocher la case pour confirmer votre intention';
$string['sync_launchbutton'] = 'Synchroniser';
$string['synccohortstask'] = 'Synchronisation des cohortes par groupe Apogée';
$string['forceenrol_button'] = 'Forcer la synchronisation';
$string['messageprovider:forceenrolstarted_notification'] = 'Synchronisation Apogée forcée : démarrée';
$string['messageprovider:forceenrolcompleted_notification'] = 'Synchronisation Apogée forcée : terminée';
$string['forceenrolstarted_eventname'] = '';
$string['forceenrolcompleted_eventname'] = '';
$string['forceenrol_started_notif_subject'] = 'Synchronisation Apogée démarrée';
$string['forceenrol_started_notif_fullmessage'] = 'La synchronisation de la méthode {$a->methodname} a commencé.';
$string['forceenrol_started_notif_fullmessagehtml'] = '<p>La synchronisation de la méthode <strong>{$a->methodname}</strong> a commencé.</p>';
$string['forceenrol_started_notif_smallmessage'] = 'Synchronisation Apogée démarrée';
$string['forceenrol_completed_notif_subject'] = 'Synchronisation Apogée terminée';
$string['forceenrol_completed_notif_fullmessage'] = 'La synchronisation de la méthode {$a->methodname} est terminée.';
$string['forceenrol_completed_notif_fullmessagehtml'] = '<p>La synchronisation de la méthode <strong>{$a->methodname}</strong> est terminée.</p>';
$string['forceenrol_completed_notif_smallmessage'] = 'Synchronisation Apogée est terminée';
$string['forceenrol_confirm_message_ok'] = '<strong>La synchronisation a été programmée. Elle débutera dans quelques instants.</strong><br />Vous pouvez quitter cette page : une notification vous informera de la fin de la synchronisation.';
$string['forceenrol_confirm_message_pending'] = 'La synchronisation n\'a pas pu être programmée : elle est peut-être déjà programmée ou en cours d\'exécution.';
$string['forceenrol_group_notfound'] = 'Le code Apogée fourni n\'a pas été trouvé dans l\'annuaire de l\'établissement. Veuillez vérifier que vous avez saisi le bon code et sélectionné le bon type de code.';
$string['search:ubxsshib_apogee_method'] = 'Inscription Apogée';
